GROLJ4(1)

NAME
grolj4 - groff driver for HP Laserjet 4 family

SYNOPSIS
grolj4 [-lv] [-d [n]] [-c n] [-p paper_size] [-w n] [-F dir] [ files... ]

DESCRIPTION
grolj4 is a driver for groff that produces output in PCL5 format suitable for an HP Laserjet 4 printer.

There is an additional drawing command available:

\D'R dh dv'
    Draw a rule (solid black rectangle), with one corner at the current position, and the diagonally opposite corner at the current position +(dh,dv). Afterwards the current position will be at the opposite corner. This generates a PCL fill rectangle command, and so will work on printers that do not support HPGL/2 unlike the other \D commands.

OPTIONS
It is possible to have whitespace between a command line option and its parameter.

-cn Print n copies of each page.

-l  Print the document with a landscape orientation.

-d [n]
    Use duplex mode n: 1 is long-side binding; 2 is short-side binding; default is 1.

-psize
    Set the paper size to size, which must be one of letter, legal, executive, a4, com10, monarch, c5, b5, dl.

-v  Print the version number.

-wn Set the default line thickness to n thousandths of an em. If this option isn't specified, the line thickness defaults to 0.04 em.

-Fdir
    Prepend directory dir/devname to the search path for font and device description files; name is the name of the device, usually lj4.

The following four commands are available additionally in the font description files:

pclweight N
    The integer value N must be in the range -7 to +7; default is 0.

pclstyle N
    The integer value N must be in the range 0 to 32767; default is 0.

pclproportional N
    A boolean flag which can be either 0 or 1; default is 0.

pcltypeface N
    The integer value N must be in the range 0 to 65535; default is 0.

ENVIRONMENT

GROFF_FONT_PATH
    A list of directories in which to search for the devname directory in addition to the default ones. See troff(1) and groff_font(5) for more details.

FILES

/usr/local/share/groff/1.22.3/font/devlj4/DESC
    Device description file.

/usr/local/share/groff/1.22.3/font/devlj4/F
    Font description file for font F.

/usr/local/share/groff/1.22.3/tmac/lj4.tmac
    Macros for use with grolj4.

BUGS
Small dots.

SEE ALSO
lj4_font(5), groff(1), troff(1), groff_out(5), groff_font(5), groff_char(7)

COPYING